Magick::DrawableBorderColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableBorderColor:
[legend]
Collaboration diagram for Magick::DrawableBorderColor:
[legend]

## Public Member Functions

| DrawableBorderColor (const Color &color_)
| DrawableBorderColor (const DrawableBorderColor &original_)
| ~DrawableBorderColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | color (const Color &color_)
Color | color (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 469 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableBorderColor() [1/2]

Magick::DrawableBorderColor::DrawableBorderColor | ( | const Color & | color_ | ) |

Definition at line 278 of file Drawable.cpp.

## DrawableBorderColor() [2/2]

Magick::DrawableBorderColor::DrawableBorderColor | ( | const DrawableBorderColor & | original_ | ) |

Definition at line 284 of file Drawable.cpp.

## ~DrawableBorderColor()

Magick::DrawableBorderColor::~DrawableBorderColor | ( | void |  | ) |

Definition at line 290 of file Drawable.cpp.

## Member Function Documentation

## color() [1/2]

void Magick::DrawableBorderColor::color | ( | const Color & | color_ | ) |

Definition at line 310 of file Drawable.cpp.

## color() [2/2]

Magick::Color Magick::DrawableBorderColor::color | ( | void |  | ) | const

Definition at line 315 of file Drawable.cpp.

## copy()

Magick::DrawableBase * Magick::DrawableBorderColor::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 320 of file Drawable.cpp.

## operator()()

void Magick::DrawableBorderColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 294 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp